Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 749867 - dev-libs/nettle prefix (re-)keyword request
Summary: dev-libs/nettle prefix (re-)keyword request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on:
Blocks: 749831
  Show dependency tree
 
Reported: 2020-10-18 10:14 UTC by Kent Fredric (IRC: kent\n)
Modified: 2020-12-26 21:16 UTC (History)
1 user (show)

See Also:
Package list:
dev-libs/nettle ~amd64-linux ~m68k-mint ~ppc-macos ~sparc-solaris ~sparc64-solaris ~x64-cygwin ~x64-solaris ~x86-linux ~x86-macos x86-solaris sys-apps/texinfo ~amd64-linux ~m68k-mint ~ppc-macos ~sparc-solaris ~sparc64-solaris ~x64-cygwin ~x64-solaris ~x86-linux ~x86-macos x86-solaris
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Fredric (IRC: kent\n) gentoo-dev 2020-10-18 10:14:02 UTC
dev-libs/nettle turns out to need texinfo for USE="doc"

dev-libs/nettle is a requirement of @system via default USE for portage (rsync-verify), and others.

I stopped poking at the deps manually beyond texinfo, because repoman says they're very spicy and diverges into gettext/ncurses and therin java-config ...

Its on prefix to explore this further, because I suspect texinfo is one of those things that works for prefix users, but simply not reflected in the portage tree.

I also suspect not all deep keywording issues here are resolvable by plain keywording, but careful application of package.use.mask in profiles may also be needed.

Please give keywording love for:

  ~amd64-linux ~m68k-mint ~ppc-macos ~sparc-solaris ~sparc64-solaris ~x64-cygwin ~x64-macos ~x64-solaris ~x86-linux ~x86-macos x86-solaris

To 

  dev-libs/nettle
  sys-apps/texinfo

And all its children.
Comment 1 Sam James archtester gentoo-dev Security 2020-11-27 23:49:18 UTC
~x64-macos done
Comment 2 Larry the Git Cow gentoo-dev 2020-12-26 21:16:41 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f4e22875085085b9d1f5887a53852c3c295dc3f7

commit f4e22875085085b9d1f5887a53852c3c295dc3f7
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-12-26 21:16:30 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-12-26 21:16:38 +0000

    dev-libs/nettle: restore prefix keywords
    
    sys-apps/texinfo is now in tree with Prefix keywords.
    
    Closes: https://bugs.gentoo.org/749867
    Package-Manager: Portage-3.0.12-prefix, Repoman-3.0.2
    Signed-off-by: Sam James <sam@gentoo.org>

 dev-libs/nettle/nettle-3.6-r3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)